<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/contentfilter/class/view/adminblogfilteredcontentview.class.php" );

    /**
     * Shows the list of content that has been blocked by the current blog
     */
    class AdminBlogFilteredContentsAction extends AdminAction 
	{

        function AdminBlogFilteredContentsAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

			$this->requirePermission( "manage_plugins" );
        }

        /**
         * Carries out the specified action
         */
        function perform()
        {
            $this->_view = new AdminBlogFilteredContentView( $this->_blogInfo );
            
            $this->setCommonData();

            // better to return true if everything fine
            return true;
        }
    }
?>
